Uploaded image for project: 'Red Hat 3scale API Management'
  1. Red Hat 3scale API Management
  2. THREESCALE-2725

Start using SwaggerUI 3.18.3 or higher for OAS3 specs

    XMLWordPrintable

Details

    • Task
    • Status: Closed (View Workflow)
    • Major
    • Resolution: Done
    • None
    • None
    • System

    Description

      Add SwaggerUI to 3.18.3 to handle OAS 3.0 specs and keep using current swagger for older specs.

      See compatibility matrix of SwaggerUI

      Dev notes

      Steps:

      1. Add swagger UI JS version 3.18.3+ to handle OAS 3.0 specs. Put the new version in cdn/swagger-ui directory.
      2. Make some tests: create a Swagger spec 1.0 and 2.0
      3. Add another liquid drop to handle displaying OAS 3.0 spec in developer portal (pair with ruby side if needed)
      4. Test in the developer portal and admin portal to see where it breaks, fix them

      use `active_docs` liquid tag to include the correct swaggerui lib or just base it on info we have in db on swagger version that needs to be rendered

      QE note: This should be tested with this issue https://issues.redhat.com/browse/THREESCALE-4356

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              cbartlet Catherine Bartlett
              Jose Miguel Gallas Olmedo Jose Miguel Gallas Olmedo
              Martin Kudlej Martin Kudlej
              Votes:
              1 Vote for this issue
              Watchers:
              7 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: